### Class

# Adw ClampLayout

#### Description [src]

    final class Adw.ClampLayout : Gtk.LayoutManager {
      /* No available fields */
    }

A layout manager constraining its children to a given size.

`AdwClampLayout` constraints the size of the widgets it contains to a given maximum size. It will constrain the width if it is horizontal, or the height if it is vertical. The expansion of the children from their minimum to their maximum size is eased out for a smooth transition.

If a child requires more than the requested maximum size, it will be allocated the minimum size it can fit in instead.

Each child will get the style classes .large when it reached its maximum size, .small when it’s allocated the full size, .medium in-between, or none if it hasn’t been allocated yet.

Available since: | 1.0

#### Hierarchy

#### Ancestors

- GtkLayoutManager
- GObject

#### Implements

- GtkOrientable

#### Constructors

###### adw_clamp_layout_new

Creates a new `AdwClampLayout`.

Available since: 1.0

#### Instance methods

###### adw_clamp_layout_get_maximum_size

Gets the maximum size allocated to the children.

Available since: 1.0

###### adw_clamp_layout_get_tightening_threshold

Gets the size above which the children are clamped.

Available since: 1.0

###### adw_clamp_layout_set_maximum_size

Sets the maximum size allocated to the children.

Available since: 1.0

###### adw_clamp_layout_set_tightening_threshold

Sets the size above which the children are clamped.

Available since: 1.0

##### Methods inherited from GtkLayoutManager (6)

###### gtk_layout_manager_allocate

Assigns the given `width`, `height`, and `baseline` to a `widget`, and computes the position and sizes of the children of the `widget` using the layout management policy of `manager`.

###### gtk_layout_manager_get_layout_child

Retrieves a `GtkLayoutChild` instance for the `GtkLayoutManager`, creating one if necessary.

###### gtk_layout_manager_get_request_mode

Retrieves the request mode of `manager`.

###### gtk_layout_manager_get_widget

Retrieves the `GtkWidget` using the given `GtkLayoutManager`.

###### gtk_layout_manager_layout_changed

Queues a resize on the `GtkWidget` using `manager`, if any.

###### gtk_layout_manager_measure

Measures the size of the `widget` using `manager`, for the given `orientation` and size.

##### Methods inherited from GObject (43)

##### Methods inherited from GtkOrientable (2)

###### gtk_orientable_get_orientation

Retrieves the orientation of the `orientable`.

###### gtk_orientable_set_orientation

Sets the orientation of the `orientable`.

#### Properties

###### Adw.ClampLayout:maximum-size

The maximum size to allocate to the children. It is the width if the layout is horizontal, or the height if it is vertical.

Available since: 1.0

###### Adw.ClampLayout:tightening-threshold

The size above which the child is clamped.

Available since: 1.0

##### Properties inherited from GtkOrientable (1)

###### Gtk.Orientable:orientation

The orientation of the orientable.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwClampLayoutClass {
      GtkLayoutManagerClass parent_class;

    }

###### Class members

`parent_class` |
    GtkLayoutManagerClass
| No description available.